Package tigase.component

## Class DSLBeanConfigurator

- java.lang.Object
- - tigase.kernel.beans.config.AbstractBeanConfigurator
  - - tigase.component.DSLBeanConfigurator

- All Implemented Interfaces:
    `BeanConfigurator`
  Direct Known Subclasses:
    `DSLBeanConfiguratorWithBackwardCompatibility`

      @Bean(name="defaultBeanConfigurator",
            active=true)
      public class DSLBeanConfigurator
      extends AbstractBeanConfigurator

  Created by andrzej on 11.08.2016.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.kernel.beans.config.AbstractBeanConfigurator

      `AbstractBeanConfigurator.BeanDefinition`

  - ### Field Summary

    - ### Fields inherited from class tigase.kernel.beans.config.AbstractBeanConfigurator

      `defaultTypesConverter, kernel`

    - ### Fields inherited from interface tigase.kernel.beans.config.BeanConfigurator

      `DEFAULT_CONFIGURATOR_NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLBeanConfigurator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dumpConfiguration​(java.io.File f)` |
    `void` | `dumpConfiguration​(java.io.Writer writer)` |
    `protected java.util.Map<java.lang.String,​java.lang.Object>` | `getBeanConfigurationProperties​(BeanConfig beanConfig, java.util.Map<java.lang.String,​java.lang.String> aliasesToFields)` |
    `protected java.util.Map<java.lang.String,​AbstractBeanConfigurator.BeanDefinition>` | `getBeanDefinitions​(java.util.Map<java.lang.String,​java.lang.Object> values)` | Method returns map of bean definitions found in the configuration
    `ConfigHolder` | `getConfigHolder()` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getConfiguration​(BeanConfig beanConfig)` | Method returns configuration of a bean.
    `protected java.util.Map<java.lang.String,​java.lang.String>` | `getFieldAliasses​(BeanConfig beanConfig)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getProperties()` | Method returns current configuration map.
    `protected boolean` | `hasDirectConfiguration​(BeanConfig beanConfig)` |
    `void` | `setConfigHolder​(ConfigHolder config)` |
    `void` | `setProperties​(java.util.Map<java.lang.String,​java.lang.Object> props)` |

    - ### Methods inherited from class tigase.kernel.beans.config.AbstractBeanConfigurator

      `configurationChanged, configure, configure, getBeanClassesFromAnnotations, getBeanConfigPath, getDefaultTypesConverter, getKernel, grabCurrentConfig, grabDefaultConfig, isAccessToAllFields, isBeanClassRegisteredInParentKernel, mergeWithBeansPropertyValue, refreshConfiguration, refreshConfiguration_removeUndefinedBeans, refreshConfiguration_updateConfiguration, registerBeans, registerBeansForBeanOfClass, registerBeansForBeanOfClass, registerBeansForBeanOfClassGetBeansToRegister, registerBeansForBeanOfClassShouldRegister, restoreDefaults, setAccessToAllFields, setDefaultTypesConverter, setKernel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSLBeanConfigurator

          public DSLBeanConfigurator()

  - ### Method Detail

    - #### getConfiguration

          public java.util.Map<java.lang.String,​java.lang.Object> getConfiguration​(BeanConfig beanConfig)

      Description copied from class: `AbstractBeanConfigurator`
      Method returns configuration of a bean.
      Specified by:
        `getConfiguration` in class `AbstractBeanConfigurator`

    - #### getProperties

          public java.util.Map<java.lang.String,​java.lang.Object> getProperties()

      Description copied from class: `AbstractBeanConfigurator`
      Method returns current configuration map.
      Specified by:
        `getProperties` in class `AbstractBeanConfigurator`

    - #### setProperties

          public void setProperties​(java.util.Map<java.lang.String,​java.lang.Object> props)

    - #### getConfigHolder

          public ConfigHolder getConfigHolder()

    - #### setConfigHolder

          public void setConfigHolder​(ConfigHolder config)

    - #### dumpConfiguration

          public void dumpConfiguration​(java.io.File f)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### dumpConfiguration

          public void dumpConfiguration​(java.io.Writer writer)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### hasDirectConfiguration

          protected boolean hasDirectConfiguration​(BeanConfig beanConfig)

      Specified by:
        `hasDirectConfiguration` in class `AbstractBeanConfigurator`

    - #### getBeanConfigurationProperties

          protected java.util.Map<java.lang.String,​java.lang.Object> getBeanConfigurationProperties​(BeanConfig beanConfig,
                                                                                                          java.util.Map<java.lang.String,​java.lang.String> aliasesToFields)

    - #### getFieldAliasses

          protected java.util.Map<java.lang.String,​java.lang.String> getFieldAliasses​(BeanConfig beanConfig)

    - #### getBeanDefinitions

          protected java.util.Map<java.lang.String,​AbstractBeanConfigurator.BeanDefinition> getBeanDefinitions​(java.util.Map<java.lang.String,​java.lang.Object> values)

      Description copied from class: `AbstractBeanConfigurator`
      Method returns map of bean definitions found in the configuration
      Overrides:
        `getBeanDefinitions` in class `AbstractBeanConfigurator`
      Parameters:
        `values` - configuration map